Obtener clientes padre paginados con filtros
curl --request GET \
--url https://api.raul.ugps.io/api/v1/client_father/all/paginated \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.raul.ugps.io/api/v1/client_father/all/paginated"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.raul.ugps.io/api/v1/client_father/all/paginated', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"gpsCount": 123,
"clientType": "parent",
"isNormalClient": true,
"idFather": "<string>",
"fatherName": {},
"clientId": "<string>",
"clientName": {},
"fantasyName": {},
"rut": {},
"email": {},
"phone": {},
"factura": {},
"ordenCompra": {},
"requiresHes": {},
"typeOfContract": {},
"idNavixy": {},
"idWialon": {},
"classification": {},
"integration": {},
"rubroId": {},
"rubroName": {},
"sellerId": {},
"sellerName": {}
}
],
"pagination": {
"total": 150,
"page": 1,
"limit": 50,
"totalPages": 3,
"hasNext": true
}
}Client Father
Obtener clientes padre paginados con filtros
Obtener clientes padre paginados con filtros
GET
/
api
/
v1
/
client_father
/
all
/
paginated
Obtener clientes padre paginados con filtros
Authorizations
Bearer token authentication
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 100Available options:
asc, desc Filter by has_subscription (true/false)
Filter by seller ID
Filter by rubro ID
Search in name or RUT